---
# require: standard
# inherit_gem:
#   standard: config/base.yml

AllCops:
  TargetRubyVersion: "3.1.0"
  Exclude:
    - vendor/**/*

Layout/ArgumentAlignment:
  EnforcedStyle: with_fixed_indentation

Layout/HashAlignment:
  EnforcedHashRocketStyle: table
  EnforcedColonStyle:      table

Layout/MultilineMethodDefinitionBraceLayout:
  EnforcedStyle: new_line

Metrics/AbcSize:
  Max: 25

Metrics/CyclomaticComplexity:
  Enabled: false

Metrics/MethodLength:
  Enabled: false

Naming/InclusiveLanguage:
  Enabled: true

Naming/FileName:
  ExpectMatchingDefinition: true

Style/Alias:
  EnforcedStyle: prefer_alias_method

Style/BlockDelimiters:
  EnforcedStyle: semantic
  AllowBracesOnProceduralOneLiners: true

Style/StringConcatenation:
  Mode: conservative

Style/StringLiterals:
  EnforcedStyle: double_quotes

Style/TrailingCommaInArrayLiteral:
  EnforcedStyleForMultiline: consistent_comma

Style/TrailingCommaInHashLiteral:
  EnforcedStyleForMultiline: consistent_comma
